Name:           libeatmydata
Version:        82
Release:        3%{?dist}
Summary:        Library and utilities designed to disables fsync and friends
License:        GPLv3
URL:            https://www.flamingspork.com/projects/libeatmydata/
Source0:        https://www.flamingspork.com/projects/libeatmydata/libeatmydata-%{version}.tar.gz
BuildRequires:  libtool

%description
This package contains a small ld_preload library and
a couple of helper utilities designed to transparently
disable fsync to  making software that writes data
safely to disk a lot quicker and making this software
no longer crash safe.

%package devel
Summary:        Ddevelopment files for libeatymdata 
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the libraries needed to develop applications
that use libeatmydata


%prep
%setup -q -n libeatmydata-82
sed -i '1 i\#!/bin/bash' eatmydata.sh.in

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n %{name}-devel -p /sbin/ldconfig
%postun -n %{name}-devel -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING
%{_bindir}/eatmydata
%{_libexecdir}/eatmydata.sh
%{_libdir}/*.so.*


%files devel
%doc README AUTHORS COPYING
%{_libdir}/*.so


%changelog
* Mon Oct 21 2013 Rino Rondan <villadalmine@gmail.com> - 82-3
- Add the correct section to update libraries with ldconfig
- Fix some issue with descriptions on the spec 

* Thu Oct 17 2013 Rino Rondan <villadalmine@gmail.com> - 82-2
- Change to match the correct name and version of package
- Add the sections to devel package
- Remove the * from files section and change to the correct
  directory with correct path
- Add prep section in order to add shebang to bash script

* Mon Sep 23 2013 Rino Rondan <villadalmine@gmail.com> - 82-1
- Add the correct data for documentation
- Removed static libraries

* Wed Sep 11 2013 Rino Rondan <villadalmine@fedoraproject.org> - 82
- First Package  
